> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List SCIM Configurations

> Lists SCIM configurations for an organization.

`Unary` · [`Organizations`](/docs/api-reference/generated/organization/overview)

Lists SCIM configurations for an organization.

Use this method to:

* View all SCIM configurations
* Monitor provisioning status
* Audit SCIM settings

### Examples

* List SCIM configurations:

  Shows all SCIM configurations for an organization.

  ```yaml theme={null}
  pagination:
    pageSize: 20
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.OrganizationService/ListSCIMConfigurations
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.OrganizationService/ListSCIMConfigurations" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "pagination": {
      "pageSize": 1
    }
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.organization_pb2 as organization_pb2
  import gitpod.v1.pagination_pb2 as pagination_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = organization_pb2.ListSCIMConfigurationsRequest(
      pagination=pagination_pb2.PaginationRequest(
          page_size=1,
      ),
  )
  response = ona.services.organization.list_scim_configurations(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { ListSCIMConfigurationsRequestSchema } from "@gitpod/sdk/gitpod/v1/organization_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(ListSCIMConfigurationsRequestSchema, {
      pagination: {
        pageSize: 1,
      },
    });
    const response = await ona.services.organization.listSCIMConfigurations(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.ListSCIMConfigurationsRequest{
  		Pagination: &gitpodpb.PaginationRequest{
  			PageSize: 1,
  		},
  	})
  	response, err := ona.Services.Organization.ListSCIMConfigurations(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "pagination": {
      "pageSize": 1
    }
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.ListSCIMConfigurationsRequest`

| Field        | Type                                                    | Required | Description |
| ------------ | ------------------------------------------------------- | -------- | ----------- |
| `pagination` | [PaginationRequest](#type-gitpod-v1-pagination-request) | No       |             |

## Response

`gitpod.v1.ListSCIMConfigurationsResponse`

| Field                | Type                                                             | Required | Description                                                           |
| -------------------- | ---------------------------------------------------------------- | -------- | --------------------------------------------------------------------- |
| `pagination`         | [PaginationResponse](#type-gitpod-v1-pagination-response)        | Yes      | Constraints: `required=true`.                                         |
| `scimConfigurations` | array of [SCIMConfiguration](#type-gitpod-v1-scim-configuration) | No       | scim\_configurations are the SCIM configurations for the organization |

## Related types

<a id="type-gitpod-v1-pagination-request" />

<Accordion title="PaginationRequest">
  `gitpod.v1.PaginationRequest`

  | Field      | Type    | Required | Description                                                                                                                              |
  | ---------- | ------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
  | `pageSize` | integer | No       | Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. Constraints: `int32.gte=0, int32.lte=100`. |
  | `token`    | string  | No       | Token for the next set of results that was returned as next\_token of a PaginationResponse                                               |
</Accordion>

<a id="type-gitpod-v1-pagination-response" />

<Accordion title="PaginationResponse">
  `gitpod.v1.PaginationResponse`

  | Field       | Type   | Required | Description                                                                             |
  | ----------- | ------ | -------- | --------------------------------------------------------------------------------------- |
  | `nextToken` | string | No       | Token passed for retrieving the next set of results. Empty if there are no more results |
</Accordion>

<a id="type-gitpod-v1-scim-configuration" />

<Accordion title="SCIMConfiguration">
  SCIMConfiguration represents a SCIM 2.0 provisioning configuration

  `gitpod.v1.SCIMConfiguration`

  | Field                                | Type               | Required | Description                                                                                                                                                                  |
  | ------------------------------------ | ------------------ | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `id`                                 | string             | Yes      | id is the unique identifier of the SCIM configuration Constraints: `required=true, string.uuid=true`.                                                                        |
  | `organizationId`                     | string             | Yes      | organization\_id is the ID of the organization this SCIM configuration belongs to Constraints: `required=true, string.uuid=true`.                                            |
  | `name`                               | string             | No       | name is a human-readable name for the SCIM configuration Constraints: `string.max_len=128`.                                                                                  |
  | `enabled`                            | boolean            | No       | enabled indicates if SCIM provisioning is active                                                                                                                             |
  | `ssoConfigurationId`                 | string             | No       | sso\_configuration\_id is the linked SSO configuration (optional) Constraints: `string.uuid=true`.                                                                           |
  | `createdAt`                          | RFC 3339 timestamp | Yes      | created\_at is when the SCIM configuration was created Constraints: `required=true`.                                                                                         |
  | `updatedAt`                          | RFC 3339 timestamp | Yes      | updated\_at is when the SCIM configuration was last updated Constraints: `required=true`.                                                                                    |
  | `tokenExpiresAt`                     | RFC 3339 timestamp | Yes      | token\_expires\_at is when the current SCIM token expires Constraints: `required=true`.                                                                                      |
  | `allowUnverifiedEmailAccountLinking` | boolean            | No       | allow\_unverified\_email\_account\_linking allows SCIM to link provisioned users to existing accounts when the identity provider does not mark the email address as verified |
</Accordion>
